.TH "MLLP_SEND" "1" "December 17, 2011" "0.2.2" "python-hl7"
.SH NAME
mllp_send \- MLLP network client
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.\" Man page generated from reStructeredText.
.
.sp
python\-hl7 features a simple network client, \fBmllp_send\fP, which reads HL7
messages from a file or \fBsys.stdin\fP and posts them to an MLLP server.
\fBmllp_send\fP is a command\-line wrapper around
\fBhl7.client.MLLPClient\fP.  \fBmllp_send\fP is a useful tool for
testing HL7 interfaces or resending logged messages:
.sp
.nf
.ft C
$ mllp_send \-\-file sample.hl7 \-\-port 6661 mirth.example.com
MSH|^~\e&|LIS|Example|Hospital|Mirth|20111207105244||ACK^A01|A234244|P|2.3.1|
MSA|AA|234242|Message Received Successfully|
.ft P
.fi
.SH USAGE
.sp
.nf
.ft C
Usage: mllp_send [options] <server>

Options:
  \-h, \-\-help            show this help message and exit
  \-p PORT, \-\-port=PORT  port to connect to
  \-f FILE, \-\-file=FILE  read from FILE instead of stdin
  \-q, \-\-quiet           do not print status messages to stdout
  \-\-loose               allow file to be a HL7\-like object (\er\en instead of
                        \er). Can ONLY send 1 message. Requires \-\-file option
                        (no stdin)
.ft P
.fi
.SH INPUT FORMAT
.sp
By default, \fBmllp_send\fP expects the \fBFILE\fP or stdin input to be a properly
formatted HL7 message (carriage returns separating segments) wrapped in a MLLP
stream (\fB<SB>message1<EB><CR><SB>message2<EB><CR>...\fP).
.sp
However, it is common, especially if the file has been manually edited in
certain text editors, that the ASCII control characters will be lost and the
carriage returns will be replaced with the platform\(aqs default line endings.
In this case, \fBmllp_send\fP provides the \fB\-\-loose\fP option, which attempts
to take something that "looks like HL7" and convert it into a proper HL7
message. Currently the \fB\-\-loose\fP option can only handle 1 HL7 message per
file (it causes \fBmllp_send\fP to assume the whole file is one HL7 message).
.SH ADDITIONAL RESOURCES
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
\fI\%http://python-hl7.readthedocs.org\fP
.UNINDENT
.UNINDENT
.UNINDENT
.SH AUTHOR
John Paulett
.SH COPYRIGHT
2011, John Paulett
.\" Generated by docutils manpage writer.
.\" 
.
